Subject: Re: [PULL net-next] vhost-net fixes for 3.1

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 19 Jul 2011 21:58:13 +0300

On Tue, Jul 19, 2011 at 02:47:41PM +0300, Michael S. Tsirkin wrote:
> Here's Jason's fix for a theoretical event loss
> on migration (tweaked by me to update the test
> module as well), and a refcounting fix by me
> for a bug in the new zerocopy mode.
> 
> I thought hard about merging Jason's patches for 3.0
> as well, but in the end I think it's not worth
> the risk of breaking something at this stage.
> 
> Please pull for 3.1, thanks a lot!
> 
> The following changes since commit 81fc70d86527a1450560709500ca5f52e661da1f:
> 
>   net: can: remove custom hex_to_bin() (2011-07-18 11:31:43 -0700)
> 
> are available in the git repository at:
>   git://git.kernel.org/pub/scm/linux/kernel/git/mst/vhost.git vhost-net-next
> 
> Jason Wang (2):
>       vhost: init used ring after backend was set
>       vhost: set log when updating used flags or avail event
> 
> Michael S. Tsirkin (1):
>       vhost: fix zcopy reference counting

I have snuck in another one:
	vhost: optimize interrupt enable/disable

please don't be alarmed :)

>  drivers/vhost/net.c   |    4 ++
>  drivers/vhost/test.c  |    5 +++
>  drivers/vhost/vhost.c |   87 ++++++++++++++++++++++++++++++------------------
>  drivers/vhost/vhost.h |    1 +
>  4 files changed, 64 insertions(+), 33 deletions(-)